Skip to main content
`Ctrl`+`K`

# KSPGetSolution

Gets the location of the solution for the linear system to be solved.

## Synopsis

    #include "petscksp.h"
    #include "petscmat.h"
    PetscErrorCode KSPGetSolution(KSP ksp, Vec *v)

Not Collective

## Input Parameter

- ksp - iterative solver obtained from `KSPCreate()`

## Output Parameter

- v - solution vector

## Note

If this is called during a `KSPSolve()` the vector’s values may not represent the solution to the linear system.

## See Also

KSP: Linear System Solvers, `KSPGetRhs()`, `KSPBuildSolution()`, `KSPSolve()`, `KSP`

## Level

developer

## Location

src/ksp/ksp/interface/itfunc.c

## Examples

src/ksp/ksp/tutorials/ex45.c
src/ksp/ksp/tutorials/ex22f.F90
src/ksp/ksp/tutorials/ex35.cxx
src/ksp/ksp/tutorials/ex34.c
src/ksp/ksp/tutorials/ex29.c
src/ksp/ksp/tutorials/ex25.c
src/ksp/ksp/tutorials/ex36.cxx

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages